Summary: A large set of basic network services programs
Name: NetKit-B
Version: 0.09
Release: 7
Copyright: distributable
Group: Networking
Source: ftp://sunsite.unc.edu/pub/Linux/system/Network/NetKit-0.09.tar.gz
Source1: inet.init
Source2: NetKit-B-0.06-telnet.tar.gz
Source3: rexec.pamd
Source4: rlogin.pamd
Source5: rsh.pamd
Patch0: NetKit-0.09-config.patch
Patch1: NetKit-0.09-pam.patch
Patch2: NetKit-0.09-rexecpath.patch
Patch3: NetKit-0.09-glibc.patch
Patch4: tftp-security.patch
Patch5: NetKit-0.09-utmp.patch
Patch6: NetKit-0.09-rwhoalpha.patch
Patch7: NetKit-0.09-talkd-man.patch
Patch8: NetKit-0.09-finger.patch
Requires: pam >= 0.56
Requires: tcp_wrappers

%description
NetKit-B provides the clients and servers for many standard Unix
network services.  Network logins, ftp, and talk (among others)
are provided here.

%changelog

* Thu May 01 1997 Chris Martin <chris@physics.ucsb.edu>

Patched installation of talkd/ntalkd man pages, Makefile was making 
the symbolic links backwards.
Added missing man pages to %files section of spec
Organized %files section to show which files are for which sub-parts of NetKit
Added patch to fix daylight savings time printing in finger
Added subsection to %files for the write and writed sub-part, to replace
non-network aware write in util-linux.

* Tue Apr 22 1997 Michael K. Johnson <johnsonm@redhat.com>

Added talkd and ntalkd man pages.
Added patch for rwho/rwhod on the Alpha.

* Thu Apr 10 1997 Michael K. Johnson <johnsonm@redhat.com>

Added patch to telnet to clean up utmp properly.
Fixed some return codes in rlogin for odd cases.

%prep
%setup -n NetKit-0.09

%patch0 -p1 -b .norhconfig
%patch1 -p1 -b .origpam
%patch2 -p1 -b .defpath

%ifarch alpha
%patch3 -p1 -b .noglibc
%patch6 -p1 -b .rwhodalpha
%endif

cd tftpd
%patch4 -p1 -b .security
cd ..

%patch5 -p1 -b .utmp
%patch7 -p1 -b .talkd-man
%patch8 -p1 -b .finger-tz

rm -rf telnet
gunzip < $RPM_SOURCE_DIR/NetKit-B-0.06-telnet.tar.gz | tar xvvf -

%ifarch alpha
cd rpc.rusersd
sed "s/ut_time/rut_time/" < /usr/include/rpcsvc/rusers.x > rusers.x
cd ../rusers
sed "s/ut_time/rut_time/" < /usr/include/rpcsvc/rusers.x > rusers.x
cd ..
%endif

%build
%ifarch alpha
(cd rpcgen; make USE_GLIBC=1)
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" USE_GLIBC=1
%else
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
%endif

%install
make install
mkdir -p /var/spool/rwho
install -m755 $RPM_SOURCE_DIR/inet.init /etc/rc.d/init.d/inet
ln -sf ../init.d/inet /etc/rc.d/rc0.d/K50inet
ln -sf ../init.d/inet /etc/rc.d/rc1.d/K50inet
ln -sf ../init.d/inet /etc/rc.d/rc2.d/S50inet
ln -sf ../init.d/inet /etc/rc.d/rc3.d/S50inet
ln -sf ../init.d/inet /etc/rc.d/rc5.d/S50inet
ln -sf ../init.d/inet /etc/rc.d/rc6.d/K50inet

# "paranoia strikes deep"
#
# These programs aren't SUID and making then 744 instead of 755 doesn't
# add *any* security to a system
chmod 755 /usr/bin/rpcinfo

for n in in.comsat in.fingerd in.ntalkd in.rexecd in.rlogind in.rshd in.talkd \
	 in.telnetd in.tftpd in.writed inetd rpc.rusersd rpc.rwalld rwhod \
	 rpc.bootparamd routed; do
	chmod 755 /usr/sbin/$n
done

# This is installed mode 4744, which is just dumb. If root is the only one
# with exec permission, it doesn't need to be suid root. If it's not suid
# root, anyone can have exec permissions if they already have read permission
chmod 755 /usr/sbin/timedc

install -m 644 -o 0 -g 0 ${RPM_SOURCE_DIR}/rexec.pamd /etc/pam.d/rexec
install -m 644 -o 0 -g 0 ${RPM_SOURCE_DIR}/rlogin.pamd /etc/pam.d/rlogin
install -m 644 -o 0 -g 0 ${RPM_SOURCE_DIR}/rsh.pamd /etc/pam.d/rsh

%files
%config /etc/pam.d/rexec
%config /etc/pam.d/rlogin
%config /etc/pam.d/rsh
%dir /var/spool/rwho
#      biff
/usr/bin/biff
/usr/man/man1/biff.1
#      comsat
/usr/sbin/in.comsat
/usr/man/man8/in.comsat.8
/usr/man/man8/comsat.8
#      finger
/usr/bin/finger
/usr/man/man1/finger.1
#      fingerd
/usr/sbin/in.fingerd
/usr/man/man8/in.fingerd.8
/usr/man/man8/fingerd.8
#      ftp
/usr/bin/ftp
/usr/bin/pftp
/usr/man/man1/ftp.1
/usr/man/man1/pftp.1
#      inetd
/usr/sbin/inetd
/usr/man/man8/inetd.8
%config /etc/rc.d/init.d/inet
%config /etc/rc.d/rc0.d/K50inet
%config /etc/rc.d/rc1.d/K50inet
%config /etc/rc.d/rc2.d/S50inet
%config /etc/rc.d/rc3.d/S50inet
%config /etc/rc.d/rc5.d/S50inet
%config /etc/rc.d/rc6.d/K50inet
#      ping
/bin/ping
/usr/man/man8/ping.8
#      rcp
/usr/bin/rcp
/usr/man/man1/rcp.1
#      rexecd
/usr/sbin/in.rexecd
/usr/man/man8/in.rexecd.8
/usr/man/man8/rexecd.8
#      rlogin
/usr/bin/rlogin
/usr/man/man1/rlogin.1
#      rlogind
/usr/sbin/in.rlogind
/usr/man/man8/in.rlogind.8
/usr/man/man8/rlogind.8
#      routed
/usr/sbin/routed
/usr/man/man8/routed.8
#      rpc.bootparamd
/usr/sbin/rpc.bootparamd
/usr/bin/callbootd
/usr/man/man8/bootparamd.8
/usr/man/man8/rpc.bootparamd.8
#      rpc.rusersd
/usr/sbin/rpc.rusersd
/usr/man/man8/rpc.rusersd.8
/usr/man/man8/rusersd.8
#      rpc.rwalld
/usr/sbin/rpc.rwalld
/usr/man/man8/rpc.rwalld.8
/usr/man/man8/rwalld.8
#      rpcgen
%ifnarch alpha
# we get this from glibc on Alpha's
/usr/bin/rpcgen
/usr/man/man1/rpcgen.1
%endif
#      rpcinfo
/usr/bin/rpcinfo
/usr/man/man8/rpcinfo.8
#      rsh
/usr/bin/rsh
/usr/man/man1/rsh.1
#      rshd
/usr/sbin/in.rshd
/usr/man/man8/in.rshd.8
/usr/man/man8/rshd.8
#      rusers
/usr/bin/rusers
/usr/man/man1/rusers.1
#      rwall
/usr/bin/rwall
/usr/man/man1/rwall.1
#      rwho
/usr/bin/rwho
/usr/man/man1/rwho.1
#      rwhod
/usr/sbin/rwhod
/usr/man/man8/rwhod.8
#      talk
/usr/bin/talk
/usr/man/man1/talk.1
#      talkd
/usr/sbin/in.talkd
/usr/sbin/in.ntalkd
/usr/man/man8/talkd.8
/usr/man/man8/ntalkd.8
/usr/man/man8/in.talkd.8
/usr/man/man8/in.ntalkd.8
#      telnet
/usr/bin/telnet
/usr/man/man1/telnet.1
#      telnetd
/usr/sbin/in.telnetd
/usr/man/man5/issue.net.5
/usr/man/man8/in.telnetd.8
/usr/man/man8/telnetd.8
#      tftpd
/usr/bin/tftp
/usr/man/man1/tftp.1
/usr/sbin/in.tftpd
/usr/man/man8/in.tftpd.8
/usr/man/man8/tftpd.8
#      timed
/usr/man/man8/timed.8
/usr/man/man8/timedc.8
/usr/sbin/timed
/usr/sbin/timedc
#      write
/usr/bin/write
/usr/man/man1/write.1
/usr/sbin/in.writed
/usr/man/man8/in.writed.8
/usr/man/man8/writed.8
